export interface IBlock {
  id: string;
  type: 'paragraph' | 'heading-1' | 'heading-2' | 'heading-3' | 'image' | 'code' | 'quote' | 'list' | 'divider' | 'youtube' | 'markdown' | 'html' | 'attachment';
  content: string;
  metadata?: any;
}

export interface ISlashMenuItem {
  type: string;
  label: string;
  icon: string;
  action?: () => void;
}

export interface IShortcutPattern {
  pattern: RegExp;
  type: string;
}

export type OutputFormat = 'html' | 'markdown';